<!DOCTYPE html>
<html
  lang="en"
  xmlns:th="http://www.thymeleaf.org"
  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
  layout:decorate="~{layout2}"
>
  <head>
    <meta charset="UTF-8" />
    <title>Approval</title>
  </head>
  <body>
    <main
      layout:fragment="main"
      class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
    >
      <div th:include="sidebar_approval::sidebar_approval" th:remove="tag">
        sidebar
      </div>

      <main class="bd-main-xxl">
        <div class="row">
          <div class="col-md-12">
            <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
              Approval
            </div>
          </div>
        </div>

        <br />
        <div class="alert alert-danger" th:if="${gagal != null}">
          <h4>Save Data Gagal!</h4>

          <p>
            Data Gagal Disimpan. Jumlah Revisi yang anda masukan melebihi sisa
            detail anggaran yang ada
          </p>
        </div>

        <div class="alert alert-danger" th:if="${gagale != null}">
          <h4>Approve Data Gagal!</h4>

          <p th:text="${gagale}">Data Gagal Disimpan. Jumlah Revisi yang anda masukan melebihi sisa detail anggaran yang ada</p>
        </div>

        <div class="alert alert-danger" th:if="${status != null}">
          <h4>Approve Data Gagal!</h4>

          <p th:text="${status}">
            Data Gagal Disimpan. Jumlah Revisi yang anda masukan melebihi sisa
            detail anggaran yang ada
          </p>
        </div>
        <div class="row" sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_WAREK2')">
          <div class="col-md-9">
            <p th:each="data, row : ${sisaSaldoBank}">
              <span th:text="${'Saldo bank '+ data.getInstansi() +' sebesar : ' + 'Rp. ' + #numbers.formatDecimal(data.getSisa(), 0, 'POINT', 0, 'COMMA')}"></span>
            </p>
            <p th:if="${sisaSaldoBank == null}">
              <span th:text="${'Saldo bank RP 0 anda tidak bisa melakukan approval'}"></span>
            </p>
          </div>

          <div class="col-md-3" align="right">

          </div>
        </div>

        <div class="row">
          <div class="col-md-9">
            Show entries <span sd:page-size-selector="javascript"></span>
          </div>

          <div class="col-md-3" align="right">
            <input
              class="form-control me-2"
              type="text"
              placeholder="Search"
              name="search"
              th:value="${search}"
              aria-label="Search"
            />
            <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
          </div>
        </div>
        <br />
        <div class="row">
          <form
            th:action="@{/transaksi/approval/pengajuandana/approve_checked(page = ${pageable.getPageNumber()}, size = ${pageable.getPageSize()}, search = ${search})}"
            name="form1"
            method="post"
          >
            <div class="col-md-12">
              <!-- <div class="tableFixHead"> -->
              <div class="row">
                <div class="col-md-12 mb-2">
                  <input
                    type="checkbox"
                    id="checkAll"
                    name="a"
                    class="form-check-input aa"
                    onclick="checkAll()"
                  />
                  Check All &nbsp;&nbsp;
                  <button
                    type="submit"
                    class="btn btn-success"
                    style="
                      --bs-btn-padding-y: 0.25rem;
                      --bs-btn-padding-x: 0.5rem;
                      --bs-btn-font-size: 0.75rem;
                    "
                  >
                    Approve
                  </button>
                </div>
              </div>
              <table
                class="table small"
                th:each="dataPengajuanDanaApprove,row : ${listPengajuanDanaApprove}"
              >
                <thead class="table-dark" style="--bs-table-bg: #15408d">
                  <tr>
                    <td
                      style="width: 5%"
                      align="right"
                      th:text="${(row.index + 1) + (listPengajuanDanaApprove.number * listPengajuanDanaApprove.size)}"
                    ></td>
                    <td
                      colspan="3"
                      th:text="${dataPengajuanDanaApprove.getNamadepartemen()}"
                    ></td>
                    <td
                      align="right"
                      th:text="${#temporals.format(dataPengajuanDanaApprove.getTanggalpengajuan(),'dd-MMM-yyyy hh:mm:ss a')}"
                    ></td>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td rowspan="5" align="center">
                      <input
                        type="checkbox"
                        th:value="${dataPengajuanDanaApprove.getId()}"
                        name="request"
                        class="form-check-input ad"
                      />
                    </td>
                    <td rowspan="5" align="center" width="15%">
                      <a
                        th:if="${dataPengajuanDanaApprove.getFile()}== 'default.jpg'"
                        class="btn btn-danger"
                        style="
                          --bs-btn-padding-y: 0.25rem;
                          --bs-btn-padding-x: 0.5rem;
                          --bs-btn-font-size: 0.75rem;
                        "
                      >
                        No Attachment
                      </a>
                      <!--              <a th:if="${dataPengajuanDanaApprove.getFile()}!= 'default.jpg'" class="btn btn-primary" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;" th:href="@{/pengajuandana/{pengajuanDana}/bukti/(pengajuanDana = ${dataPengajuanDanaApprove.getIdpengajuandana()})}" target="_blank">-->
                      <!--                View Attachment-->
                      <!--              </a>-->

                      <a
                        th:if="${dataPengajuanDanaApprove.getFile()}!= 'default.jpg'"
                        class="btn btn-primary"
                        style="
                          --bs-btn-padding-y: 0.25rem;
                          --bs-btn-padding-x: 0.5rem;
                          --bs-btn-font-size: 0.75rem;
                        "
                        th:href="@{/pengajuan_dana/bukti(pengajuanDana = ${dataPengajuanDanaApprove.getIdpengajuandana()})}"
                        target="_blank"
                      >
                        View Attachment
                      </a>
                    </td>
                    <td
                      colspan="3"
                      th:text="${dataPengajuanDanaApprove.getKodeanggaran()+' - '+dataPengajuanDanaApprove.getNamaanggaran()}"
                    ></td>
                  </tr>
                  <tr>
                    <td
                      colspan="3"
                      th:text="${dataPengajuanDanaApprove.getDeskripsi()+ ' - ' + dataPengajuanDanaApprove.getDeskripsibiaya()}"
                    ></td>
                  </tr>
                  <tr>
                    <td
                      colspan=""
                      th:text="${'From ' + dataPengajuanDanaApprove.getNamakaryawan()}"
                    ></td>
                    <td
                      colspan="2"
                      th:text="${'For : ' +dataPengajuanDanaApprove.getRequestFor()}"
                    ></td>
                  </tr>
                  <tr>
                    <td
                      th:text="${dataPengajuanDanaApprove.getKuantitas()+' '+dataPengajuanDanaApprove.getSatuan()}"
                    ></td>
                    <td
                      colspan="2"
                      th:text="${'Total : Rp. ' + #numbers.formatDecimal(dataPengajuanDanaApprove.getJumlah(), 0, 'POINT', 2, 'COMMA')}"
                    ></td>
                  </tr>
                  <tr>
                    <td colspan="2">
                      <a
                        class="btn btn-primary"
                        style="
                          --bs-btn-padding-y: 0.25rem;
                          --bs-btn-padding-x: 0.5rem;
                          --bs-btn-font-size: 0.75rem;
                        "
                        th:href="@{/transaksi/approval/pengajuandana/detail(id = ${dataPengajuanDanaApprove.getId()})}"
                        >Detail</a
                      >
                    </td>
                    <td></td>
                  </tr>
                </tbody>
              </table>
              <!-- </div> -->
              <br />
              <button
                type="submit"
                class="btn btn-success"
                style="
                  --bs-btn-padding-y: 0.25rem;
                  --bs-btn-padding-x: 0.5rem;
                  --bs-btn-font-size: 0.75rem;
                "
              >
                Approve
              </button>
              <br />
              <br />
              <nav aria-label="Page navigation example">
                <ul class="pagination" sd:pagination="full"></ul>
              </nav>
            </div>
          </form>
        </div>
      </main>
    </main>

    <section layout:fragment="footer">
      <script>
        $(document).ready(function () {
          // $(".btn-success").prop("disabled", true);

          $(".aa").on("change", function (event) {
            var checkBox = document.getElementById("checkAll");
            if (checkBox.checked) {
              $(".ad").prop("checked", true);
              $(".ad").iCheck("update");
              // $(".btn-success").prop("disabled", false).removeClass("disabled");
            } else {
              $(".ad").prop("checked", false);
              $(".ad").iCheck("update");
              // $(".btn-success").prop("disabled", true).addClass("disabled");
            }
          });
        });
      </script>
    </section>
  </body>
</html>
